Subject: Mirror repositories for submodules

From: Benson Muite <[email-masked]>
Date: Mon, 01 Jun 2026 09:11:28 +0300

Hi,

Would a contribution to add mirror repositories as alternate submodule
sources be considered for inclusion?  Some projects have mirror
repositories on other hosting services, and may have bandwidth limits on
their primary hosting service.  Being able to indicate mirror
repositories for where to check for updates and sources for submodules
when doing `git clone --recurse-submodules https://my.repo ` or `git
submodule update --init --recursive` would be helpful when there is a
timeout.

Regards,
Benson